<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: BrokenArmsMdfr Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d8/df6/class_broken_arms_mdfr.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">BrokenArmsMdfr Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for BrokenArmsMdfr:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../d8/df6/class_broken_arms_mdfr.png" usemap="#BrokenArmsMdfr_map" alt=""/>
  <map id="BrokenArmsMdfr_map" name="BrokenArmsMdfr_map">
<area href="../../d8/d0a/class_modifier_base.html" alt="ModifierBase" shape="rect" coords="0,0,108,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:adb5e94285243f948008c688db6e720c8"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/df6/class_broken_arms_mdfr.html#adb5e94285243f948008c688db6e720c8">Init</a> ()</td></tr>
<tr class="separator:adb5e94285243f948008c688db6e720c8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad8ab81b18497c6c2584d899d32f30adb"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/df6/class_broken_arms_mdfr.html#ad8ab81b18497c6c2584d899d32f30adb">ActivateCondition</a> (<a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a> player)</td></tr>
<tr class="separator:ad8ab81b18497c6c2584d899d32f30adb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7d745f9ed145aa421b1d00609c3b2b32"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/df6/class_broken_arms_mdfr.html#a7d745f9ed145aa421b1d00609c3b2b32">OnActivate</a> (<a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a> player)</td></tr>
<tr class="separator:a7d745f9ed145aa421b1d00609c3b2b32"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4ab4196d103a31311c227aec92767dd8"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/df6/class_broken_arms_mdfr.html#a4ab4196d103a31311c227aec92767dd8">OnDeactivate</a> (<a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a> player)</td></tr>
<tr class="separator:a4ab4196d103a31311c227aec92767dd8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aab7a5a3ad1d0c1236d34282957a2fdb9"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/df6/class_broken_arms_mdfr.html#aab7a5a3ad1d0c1236d34282957a2fdb9">DeactivateCondition</a> (<a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a> player)</td></tr>
<tr class="separator:aab7a5a3ad1d0c1236d34282957a2fdb9"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a32d2cbba6ac94b93a9a71906ff74178a"><td class="memItemLeft" align="right" valign="top">private const <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/df6/class_broken_arms_mdfr.html#a32d2cbba6ac94b93a9a71906ff74178a">HEALTHY_ARM</a> = 80</td></tr>
<tr class="separator:a32d2cbba6ac94b93a9a71906ff74178a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../d4/dbb/_broken_arms_8c_source.html#l00001">1</a> of file <a class="el" href="../../d4/dbb/_broken_arms_8c_source.html">BrokenArms.c</a>.</p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="ad8ab81b18497c6c2584d899d32f30adb" name="ad8ab81b18497c6c2584d899d32f30adb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad8ab81b18497c6c2584d899d32f30adb">&#9670;&#160;</a></span>ActivateCondition()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> BrokenArmsMdfr::ActivateCondition </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/dbb/_broken_arms_8c_source.html#l00013">13</a> of file <a class="el" href="../../d4/dbb/_broken_arms_8c_source.html">BrokenArms.c</a>.</p>

</div>
</div>
<a id="aab7a5a3ad1d0c1236d34282957a2fdb9" name="aab7a5a3ad1d0c1236d34282957a2fdb9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aab7a5a3ad1d0c1236d34282957a2fdb9">&#9670;&#160;</a></span>DeactivateCondition()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> BrokenArmsMdfr::DeactivateCondition </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/dbb/_broken_arms_8c_source.html#l00032">32</a> of file <a class="el" href="../../d4/dbb/_broken_arms_8c_source.html">BrokenArms.c</a>.</p>

</div>
</div>
<a id="adb5e94285243f948008c688db6e720c8" name="adb5e94285243f948008c688db6e720c8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adb5e94285243f948008c688db6e720c8">&#9670;&#160;</a></span>Init()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void BrokenArmsMdfr::Init </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/dbb/_broken_arms_8c_source.html#l00005">5</a> of file <a class="el" href="../../d4/dbb/_broken_arms_8c_source.html">BrokenArms.c</a>.</p>

</div>
</div>
<a id="a7d745f9ed145aa421b1d00609c3b2b32" name="a7d745f9ed145aa421b1d00609c3b2b32"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7d745f9ed145aa421b1d00609c3b2b32">&#9670;&#160;</a></span>OnActivate()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void BrokenArmsMdfr::OnActivate </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/dbb/_broken_arms_8c_source.html#l00022">22</a> of file <a class="el" href="../../d4/dbb/_broken_arms_8c_source.html">BrokenArms.c</a>.</p>

</div>
</div>
<a id="a4ab4196d103a31311c227aec92767dd8" name="a4ab4196d103a31311c227aec92767dd8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4ab4196d103a31311c227aec92767dd8">&#9670;&#160;</a></span>OnDeactivate()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void BrokenArmsMdfr::OnDeactivate </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/dbb/_broken_arms_8c_source.html#l00027">27</a> of file <a class="el" href="../../d4/dbb/_broken_arms_8c_source.html">BrokenArms.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="a32d2cbba6ac94b93a9a71906ff74178a" name="a32d2cbba6ac94b93a9a71906ff74178a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a32d2cbba6ac94b93a9a71906ff74178a">&#9670;&#160;</a></span>HEALTHY_ARM</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private const <a class="el" href="../../d4/dc3/classfloat.html">float</a> BrokenArmsMdfr::HEALTHY_ARM = 80</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/dbb/_broken_arms_8c_source.html#l00003">3</a> of file <a class="el" href="../../d4/dbb/_broken_arms_8c_source.html">BrokenArms.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/4_World/Classes/PlayerModifiers/Modifiers/conditions/<a class="el" href="../../d4/dbb/_broken_arms_8c_source.html">BrokenArms.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d8/df6/class_broken_arms_mdfr.html">BrokenArmsMdfr</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
